Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTSFIELD | METHOD

## org.codehaus.groovy.util
[Java] Enum ReferenceType

    java.lang.Object
      java.lang.Enum
          org.codehaus.groovy.util.ReferenceType

    public enum ReferenceType
    extends java.lang.Enum

Method Summary
`protected Reference` | `createReference(java.lang.Object value, java.lang.Object handler, java.lang.ref.ReferenceQueue queue)`

Methods inherited from class java.lang.Enum
java.lang.Enum#name(), java.lang.Enum#equals(java.lang.Object), java.lang.Enum#toString(), java.lang.Enum#hashCode(), java.lang.Enum#compareTo(java.lang.Enum), java.lang.Enum#compareTo(java.lang.Object), java.lang.Enum#valueOf(java.lang.Class, java.lang.String), java.lang.Enum#getDeclaringClass(), java.lang.Enum#ordinal(), java.lang.Enum#wait(long), java.lang.Enum#wait(long, int), java.lang.Enum#wait(), java.lang.Enum#getClass(), java.lang.Enum#notify(), java.lang.Enum#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### createReference

    protected Reference createReference(java.lang.Object value, java.lang.Object handler, java.lang.ref.ReferenceQueue queue)

Groovy Documentation